Skip to main content
PATCH
Update amqp subscription

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

subscription_id
integer
required

Subscription ID

Example:

17

Body

application/json
connection_string
string

Connection string of the following structure "scheme://username:password@host:port/virtual_host"

Example:

"amqps://guest:guest@192.168.123.20:5671/user_action_events"

exchange
string

Exchange name

receive_child_client_events
boolean

Set to true if you would like to receive user action logs of all clients with the reseller_id matching the current client_id. Defaults to false

Example:

false

routing_key
string

Routing key

Example:

"foo"

Response

200 - application/json

OK

connection_string
string
required

Connection string of the following structure "scheme://username:password@host:port/virtual_host"

Example:

"amqps://guest:guest@192.168.123.20:5671/user_action_events"

exchange
string | null
required

Exchange name

Example:

null

id
integer
required

Subscription ID

Example:

33

receive_child_client_events
boolean
required

Set to true if you would like to receive user action logs of all clients with the reseller_id matching the current client_id. Defaults to false

Example:

false

routing_key
string | null
required

Routing key

Example:

"foo"